'****************************************************************
'*  Name    : Sony Remote                                       *
'*  Author  : [PJ McCloy]                    *
'*  Notice  : Copyright (c) 2010 [select VIEW...EDITOR OPTIONS] *
'*          : All Rights Reserved                               *
'*  Date    : 04/07/2010                                        *
'*  Version : 1.0                                               *
'*  Notes   : Mod CA A500 to Sony TA-E77ESD pre vol commands    *
'*          :                                                   *
'****************************************************************

Device = 16F628A                      ' Specify What PIC your using
Declare XTAL = 4                     ' The Crystal/Osc Frequency

 CMCON = 7 ' Disable Analog comparators
 
 Dim SONYIN_WORD As Word
 Dim SONY_COMMAND As SONYIN_WORD.LowByte     ' Alias the COMMAND byte to SONYIN_WORD low byte
 Dim SONY_SYSTEM As SONYIN_WORD.HighByte     ' Alias the COMMAND byte to SONYIN_WORD high byte
 
 '  Motor PINS, LED and IR pins
 
 Symbol Motor1 	= PORTB.7
 Symbol Motor2 	= PORTB.6
 Symbol MAIN_LED = PORTB.5
 SONYIN_PIN 	= PORTA.0    


' Init input selection (stored on reboot)

 DelayMS 200
 Low Motor1
 Low Motor2
 DelayMS 200

While 1 = 1                                ' Create an infinite loop
 
 High MAIN_LED
 Repeat                     
    SONYIN_WORD = SonyIn                    ' Receive a signal from the infrared sensor  
 Until SONY_SYSTEM <> 255                   ' Keep looking until a valid header found
 
 
 If SONY_SYSTEM = 0 Then

    Select SONY_COMMAND
    
        Case 18                            ' Volume Up 
        
            Low MAIN_LED
            High Motor1
            Low Motor2               
            DelayMS 40			' Tweak these Delays for your own prefered response
            Low Motor1
            Low Motor2
            DelayMS 35            
            
        Case 19                            ' Volume Down                        
        
            Low MAIN_LED
            Low Motor1
            High Motor2
            DelayMS 40
            Low Motor1
            Low Motor2
            DelayMS 35                        
           
    End Select
 
 Else
 
    High Motor1
    High Motor2
    Low Motor1
    Low Motor2
 
 EndIf
   
  
Wend 


